%define name maui
%define version 3.2.5
%define subrelease p7
%define mauihome /var/spool/maui
%define release	23mdk

Summary: 	Maui Scheduler
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
URL: 		http://www.supercluster.org/maui/
Source0: 	%{name}-%{version}%{subrelease}.tar.bz2
Source1:	maui-init
Source2:	setup_maui
Source3:	maui.cfg
source4:	maui-joborga
Patch0:		maui-325-configure.patch
Patch1:		maui-325-makefile.in.patch
Patch2:		maui-325-configure-x86_64.patch
License:	GPL
Group:		Cluster/Queueing Services 
BuildRequires:	libtorque-devel
# requires:	OpenPBS-2.3
prereq:		rpm-helper
BuildRoot:      %{_tmppath}/%{name}-%{version}
Conflicts:	mpatrol

%description
Maui is an advanced job scheduler for use on clusters and supercomputers.
It is a highly configurable tool capable of supporting a large array of
fairness policies, dynamic priorities, extensive reservations, and fairshare.
It is currently in use at many of the leading government and academic labs
throughtout the US and around the world.  It is running on machines ranging
from clusters of a few processors to multi-teraflop supercomputers.

"This product includes software developed for The University of New
Mexico High Performance Computing Education and Research Center for use 
in the Maui Scheduler software.  Maui Scheduler is a trademark of 
Science & Technology Corporation @ UNM"

%prep
%setup -q
%patch0 -p0 
%patch1 -p0

%ifarch x86_64
%patch2 -p0
%endif

%pre
/usr/sbin/useradd -u 12390 -g pbs -d %{mauihome} -r -s /bin/bash maui -p "" -m > /dev/null 2>&1 ||:

%postun
/usr/sbin/userdel maui

%build
%configure
%make  -i

%install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_defaultdocdir}
mkdir -p %{buildroot}%{_var}/spool/%{name}/{spool,stats,log,traces,tools,samples}

install -m755 $RPM_BUILD_DIR/%{name}-%{version}/bin/* %{buildroot}%{_bindir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/maui
install -m755 %{SOURCE2} %{buildroot}%{_bindir}/setup_maui
install -m644 %{SOURCE3} %{buildroot}%{_var}/spool/%{name}/maui.cfg.sample
install -m755 %{SOURCE4} %{buildroot}%{_bindir}/joborga
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/samples/fs.cfg.tmpl %{buildroot}%{_var}/spool/%{name}/fs.cfg

cd %{buildroot}/%{_var}/spool/%{name}/
ln -sf maui.cfg maui-private.cfg

%post
%_post_service maui
# adjusting /etc/services
CHECK_PORT=`grep 42559 /etc/services`
if [ -z "$CHECK_PORT" ]; then
        cat >> /etc/services << EOF
# Port needed by maui server
maui_server        42559/tcp   # maui server 
EOF
fi

echo
echo "This product includes software developed for The University of New
Mexico High Performance Computing Education and Research Center for use
in the Maui Scheduler software.  Maui Scheduler is a trademark of
Science & Technology Corporation @ UNM"
echo

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%_preun_service	maui 

%files
%defattr(-,root,root)
%doc docs/* CONTRIBUTORS CHANGES BUGS samples/*
%defattr(-,maui,root)
%dir %{_var}/spool/%{name}
%{_var}/spool/%{name}/spool
%{_var}/spool/%{name}/stats
%{_var}/spool/%{name}/log
%{_var}/spool/%{name}/traces
%{_var}/spool/%{name}/tools
%{_bindir}/*
%{_initrddir}/maui
%config(noreplace) %{_var}/spool/%{name}/maui*
%config(noreplace) %{_var}/spool/%{name}/fs.cfg

%changelog
* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.2.5-23mdk
- Conflict mpatrol

* Tue Feb 17 2004  Erwan Velu <erwans@mandrakesoft.com> 3.2.5-22mdk
- Rebuild with torque 1.0.1p5
- New version p7
* Wed Oct 29 2003  Erwan Velu <erwans@mandrakesoft.com> 3.2.5-21mdk
- Rebuild with latest SPBS
* Tue Aug 19 2003  Erwan Velu <erwans@mandrakesoft.com> 3.2.5-20mdk
- Jumping to "Patch 5" release
- Changing BuildRequires to ScalablePBS :-)
* Fri Jun  6 2003  <aginies@mandrakesoft.com> 3.2.5-19mdk
- adjsut maui.cfg configuration with PDE and PLIST example
* Wed Jun 4 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 3.2.5-18mdk
- adjust maui.cfg 
- fix Buildrequires
* Wed May 28 2003 Erwan Velu <erwan@mandrakesoft.com> 3.2.5-17mdk
- snapshot 16 may
- ifarching patches for x86_64
* Thu Feb 13 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 3.2.5-16mdk
- snapshot 31 jan
* Thu Feb 13 2003 Antoine Ginies <aginies@mandrakesoft.com> 3.2.5-15mdk
- rebuild
* Fri Dec 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-14mdk
- new release version Maui-3.2.5p1 19 dec 2002 
* Thu Dec 19 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-13mdk
- maui snapshot 17 dec 2002 
* Fri Dec 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-12mdk
- rebuild to correct call to undefined function in joborga
* Thu Dec 05 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-11mdk
- version 4 dec 2002 beta2
* Wed Dec 04 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-10mdk
- version 4 dec 2002
* Tue Nov 26 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-9mdk
- version 25 nov
* Thu Nov 21 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-8mdk
- correct generation of list based on /etc/nodes_list
* Wed Nov 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-7mdk
- version 3.2.5b1 18 novembre 2002
- add some parameters in maui.cfg
* Thu Nov 14 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-6mdk
- provide maui.cfg.sample and correct setup_maui script
* Thu Nov 14 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-5mdk
- test maui 3.2.5b1
* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-4mdk
- test snap 13 novembre
* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-3mdk
- Fixing tmpJname in J->Name (to try)
* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-2mdk
- Adding debug strings
* Fri Nov 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-1mdk
- version 3.2.5
* Fri Nov 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.0.7-3mdk
- snapshot to correct usr problem
* Thu Nov 07 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.0.7-2mdk
- test
* Mon Oct 28 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.0.7-1mdk
- add port in /etc/services and SERVERHOST in maui.cfg
- add samples
- service launch by maui user
- initial rpm for Mandrakesoft
- add setup_maui
